1. Canzah

    OP Canzah GBAtemp Fan
    Member

    Joined:
    Jul 8, 2012
    Messages:
    473
    Country:
    United Kingdom
    I'm having a problem compiling SNES9x, supposedly due to changes implemented in ctrulib 1.2.0 that came out few days ago.

    Problem is that the devkitpro has also been update alongside it and now it's impossible to compile ctrulib 1.1.0 and there's only source available on the git https://github.com/smealum/ctrulib/releases

    Could anyone provide me with compiled binaries of ctrulib 1.1.0?
     
  2. MaK11-12

    MaK11-12 GBAtemp Regular
    Member

    Joined:
    Jul 26, 2009
    Messages:
    241
    Country:
    You can download the previous of devkitarm here. You should then be able to compile ctrulib 1.1.0.
     
    Canzah likes this.
  3. Canzah

    OP Canzah GBAtemp Fan
    Member

    Joined:
    Jul 8, 2012
    Messages:
    473
    Country:
    United Kingdom
    Holy crap thanks. I couldn't find older devkit versions, only the updater which naturally I couldn't prevent from downloading latest files.

    Edit:
    And SNES9x compiles with this one, great.
     
    Last edited by Canzah, Jan 25, 2017
    MaK11-12 likes this.
  4. MaK11-12

    MaK11-12 GBAtemp Regular
    Member

    Joined:
    Jul 26, 2009
    Messages:
    241
    Country:
    Bobby dazzler!
     
  5. Canzah

    OP Canzah GBAtemp Fan
    Member

    Joined:
    Jul 8, 2012
    Messages:
    473
    Country:
    United Kingdom
    Wait, now I'm getting a "cannot find -lcitro3d" error.
     
  6. MaK11-12

    MaK11-12 GBAtemp Regular
    Member

    Joined:
    Jul 26, 2009
    Messages:
    241
    Country:
    You need to download and compile the citro3d library.
     
  7. Canzah

    OP Canzah GBAtemp Fan
    Member

    Joined:
    Jul 8, 2012
    Messages:
    473
    Country:
    United Kingdom
    error: 'GPU_A4' undeclared (first use in this function)
    case GPU_A4:
    When trying to make install citro.
     
  8. MaK11-12

    MaK11-12 GBAtemp Regular
    Member

    Joined:
    Jul 26, 2009
    Messages:
    241
    Country:
    Look at this issue. You'll need to download an older version of citro3d.
     
    Canzah likes this.
  9. Canzah

    OP Canzah GBAtemp Fan
    Member

    Joined:
    Jul 8, 2012
    Messages:
    473
    Country:
    United Kingdom
    Where exactly am I supposed to get older citro3d? Cause the git doesn't have one.

    Edit:
    Well nevermind, used the newest devkit's citro combined with the older 1.1.0 ctrulib and it worked.

    built ... snes9x_3ds-master.smdh
    built ... snes9x_3ds-master.3dsx
     
    Last edited by Canzah, Jan 25, 2017
Draft saved Draft deleted
Loading...

Hide similar threads Similar threads with keywords - [Request], ctrulib,